## lxd 2.0.8

=== debian/changelog ===
lxd (2.0.8-0ubuntu1~ubuntu14.04.1) trusty-backports; urgency=medium

  * Backport to trusty
  * Build using golang-1.6-go.
  * Arch-restrict all binaries to amd64, arm64, armhf, i386, ppc64el.
    powerpc isn't supported by golang-go.
  * Use bundled dependencies instead of archive versions (which don't exist).

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 02 Dec 2016 12:03:36 -0500

lxd (2.0.8-0ubuntu1~ubuntu16.04.1) xenial; urgency=medium

  * New upstream bugfix release (2.0.8) (LP: #1644377)
    - Don't grab addresses from public remotes

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 24 Nov 2016 23:59:44 -0500

lxd (2.0.7-0ubuntu1~ubuntu16.04.1) xenial; urgency=medium

  * New upstream bugfix release (2.0.7) (LP: #1644377)
    - extra/bash: Better parse containers list
    - lxc/copy: Make container copy more robust
    - lxd/containers: Don't assign idmaps to privileged containers
    - lxd/containers: Don't break when parsing old containers
    - lxd/containers: Don't double apply templates
    - lxd/containers: Fix concurrent map iteration+modification
    - lxd/containers: Fix idmap handling of pre-idmap containers
    - tests: Add tests for file templating

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 24 Nov 2016 23:01:54 -0500

lxd (2.0.6-0ubuntu1~ubuntu16.04.1) xenial; urgency=medium

  * New upstream bugfix release (2.0.6) (LP: #1644377)
    - Support for container specific uid/gid maps (see userns-idmap.md)
    - appveyor: Add config to git
    - appveyor: Cleanup appveyor.yml before modifications
    - appveyor: Create archive with platform specifier in its name
    - appveyor: Do verbose testing for test names and timings
    - appveyor: Publish compiled binaries for download
    - client: Rework progress handling
    - doc: Add hacking guide (debugging.md)
    - doc: Add official Windows support in README
    - doc: Bump liblxc version required in README
    - doc: Sort API endpoints in rest-api.md
    - doc: Update README to specify docker installation details
    - doc: Update requirements, we actually require 2.0.0 or higher
    - doc: Use consistent method ordering in rest-api.md
    - extra/bash: Allow dash in parameters to lxc-client bash-completion
    - extra/bash: Fix _lxd_profiles in lxc-client bash-completion
    - extra/lxc-to-lxd: Better output with no container
    - extra/lxc-to-lxd: Check that source path exists (disk)
    - extra/lxc-to-lxd: Consistent logging
    - extra/lxc-to-lxd: Don't fail dry-run with running containers
    - extra/lxc-to-lxd: Drop dependency on pylxd
    - extra/lxc-to-lxd: Fix lxdpath handling
    - extra/lxc-to-lxd: Formatting
    - extra/lxc-to-lxd: Migrate lxc.aa_profile if set
    - extra/lxc-to-lxd: Print summary and proper exit code
    - lxc/copy: Don't use the operation as a marker of success
    - lxc/copy: Wait on the source operation too
    - lxc/delete: update help text
    - lxc/exec: Set term to "dumb" on windows
    - lxc/finger: update help text
    - lxc: Fix tests on Windows/Mac
    - lxc/list: Fix typo in help message
    - lxc/remote: Fix remote add with Go tip
    - lxc/restore: update help text
    - lxc: Use .yaml as the yaml extension in examples
    - lxd/certificates: Export all documented certificate fields
    - lxd/containers: Add /snap/bin to PATH even if only /snap exists
    - lxd/containers: Also clean up apparmor stuff on failure in OnStart
    - lxd/containers: Attach to userns on file operations
    - lxd/containers: Be more verbose on mkdir failure
    - lxd/containers: Better handle concurent stop/shutdown
    - lxd/containers: Catch and return more errors in OnStop
    - lxd/containers: Clarify container delete failure error
    - lxd/containers: Don't destroy ephemeral container on restart
    - lxd/containers: Don't double delete ephemeral containers
    - lxd/containers: Don't show invalid logs
    - lxd/containers: Fix forkmount to work with 4.8 and higher
    - lxd/containers: Fix invalid filename of metadata on export
    - lxd/containers: Improve config validation on update
    - lxd/containers: Improve container error handling
    - lxd/containers: Improve container locking mechanism
    - lxd/containers: log OnStart/OnStop hook errors
    - lxd/containers: More reliable container autostart
    - lxd/containers: Only load kernel modules if not loaded
    - lxd/containers: Properly validate CPU allowance
    - lxd/containers: Properly validate memory limits
    - lxd/containers: Record the err from go-lxc
    - lxd/containers: Remove legacy code from OnStop
    - lxd/containers: Remove unused code
    - lxd/containers: Save properties on publish
    - lxd/containers: Set LXC loglevel to match daemon
    - lxd/containers: Skip leading whitespace in raw.lxc
    - lxd/containers: Start storage when necessary in stateful start
    - lxd/containers: Timeout container freeze on stop
    - lxd/images: Detect out of disk space unpack errors
    - lxd/images: Don't make unnecessary image copies
    - lxd/images: Don't update images at all if interval is 0
    - lxd/images: Store the simplestreams cache to disk
    - lxd/init: Detect zfs kernel support
    - lxd/init: Ignore ZFS if in a container
    - lxd/main: Immediately exit when no DB in activateifneeded
    - lxd/migration: Fix a race for collecting logs
    - lxd/migration: Remove debugging by file creation
    - lxd/migration: Start migration storage at the right time
    - lxd/storage: Fix 10s delay on removing used ZFS images
    - lxd/storage: Freeze before copying in dir backend
    - lxd/storage: Simplify rsync code
    - shared/certificates: Be more thorough when parsing ip addr
    - shared: Disable keepalives in http.Transports
    - shared: Move Linux specific tests away
    - shared/simplestreams: Cleanup unused properties
    - tests: Better fix LXD_DEBUG
    - tests: Cleanup leftover containers
    - tests: Don't depend on main.sh for filemanip
    - tests: Implement LXD_VERBOSE

