## lxd 2.0.10

=== debian/changelog ===
lxd (2.0.10-0ubuntu1~14.04.2) trusty-backports; urgency=medium

  * Backport to trusty
  * Build using golang-1.6-go.
  * Arch-restrict all binaries to amd64, arm64, armhf, i386, ppc64el.
    powerpc isn't supported by golang-go.
  * Use bundled dependencies instead of archive versions (which don't exist).

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 30 Aug 2017 12:48:03 -0400

lxd (2.0.10-0ubuntu1~16.04.2) xenial; urgency=medium

  * Fix regression in image update logic (LP: #1712455):
    - 0005-Fix-regression-in-image-auto-update-logic.patch
    - 0006-lxd-images-Carry-old-cached-value-on-refresh.patch
    - 0007-Attempt-to-restore-the-auto_update-property.patch

  * Ship a sysctl.d file that bumps inotify watches count. (LP: #1602192)
  * Update debian/watch to look only at LTS releases.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 22 Aug 2017 20:39:36 -0400

lxd (2.0.10-0ubuntu1~16.04.1) xenial; urgency=medium

  * New upstream bugfix release (2.0.10) (LP: #1693340)
    - client: Backported the new client library and ported some of the
      internal commands over to it
    - lxc: Add a manpage command
    - lxc: Allow --version to be passed with any command
    - lxc: Reworked all help messages in the client to work with help2man
    - lxd: AppArmor namespacing is now also enabled for privileged containers

    - build: Add debug logging
    - client: Fix profile list
    - client: Remove unneeded condition
    - doc: Add instructions to grow ZFS loop
    - doc: Add note about escaping btrfs qgroups
    - doc: Add note about restricting access to kernel ring buffer
    - doc: Extract containers documentation to containers.md
    - doc: Extract profiles documentation to profiles.md
    - doc: Extract server documentation to server.md
    - doc: Fix badly named example device
    - doc: Fix broken table
    - doc: Note that LXD assumes full control over the pool
    - doc: Update configuration.md with links to other documents
    - doc: Update README.md for new API client
    - extra/lxc-to-lxd: Don't crash on missing mount file
    - extra/lxc-to-lxd: Typo in description of --move-rootfs
    - extra/vagrant: Trailing whitespace
    - global: Fix error handling in all filepath.Walk calls
    - global: Fix a number of typos
    - global: Forward user-agent and other headers on redirect
    - global: Replace file Chmod() with os.Chmod()
    - global: Use containerGetParentAndSnapshotName()
    - global: Use RunCommand everywhere
    - lxc: Don't include spaces in translated strings
    - lxc: Improve batch mode
    - lxc: Make help/usage a bit more consistent
    - lxc: Move common functions/types to utils.go
    - lxc: Properly clear transfer stats on error
    - lxc: Rework for better manpages
    - lxc/config: Add new config handling code
    - lxc/config: Always use "simplestreams" for images:
    - lxc/config: Fix path handling
    - lxc/config: Fix SaveConfig's DeepCopy call
    - lxc/copy: Improve error handling
    - lxc/copy: Return the source error too
    - lxc/copy: Simplify
    - lxc/copy: Wait asynchronously
    - lxc/image: Show the alias description
    - lxc/image: Trailing whitespace
    - lxc/init: Drop unnecessary else statement
    - lxc/list: Document list format options
    - lxc/list: Fix regression in json output
    - lxc/list: Move common data extraction to a helper function
    - lxc/profile: Properly implement "profile unset"
    - lxc/publish: Wait for the container to be running
    - lxc/remote: Show the fingerprint as string not hex
    - lxc/utils: Implement progress tracking for operations
    - lxd: Drop use of logger.Log when not needed
    - lxd/apparmor: Fix AppArmor stack handling with nesting
    - lxd/containers: Add containerGetParentAndSnapshotName()
    - lxd/containers: Added soft limit in initLXD()
    - lxd/containers: Added soft memory limit even when hard is selected
    - lxd/containers: Add extra validation for unix-block/unix-char
    - lxd/containers: Add function to detect root disk device
    - lxd/containers: Allow for stable host interface names
    - lxd/containers: Clarify uid/gid error
    - lxd/containers: Cleanup root device validation
    - lxd/containers: Disable IPv6 on host side veth when bridged
    - lxd/containers: Don't ignore snapshot deletion failures
    - lxd/containers: Don't parse id ranges as int32
    - lxd/containers: Don't report migration success on failure
    - lxd/containers: Don't use FindProcess, just pass exec.Cmd
    - lxd/containers: Find current max snapshot value
    - lxd/containers: Fix bad root device detection code
    - lxd/containers: Fix base image tracking
    - lxd/containers: Fix concurrent read/write to s.conns in exec
    - lxd/containers: Fix error handling on FileRemove
    - lxd/containers: Fix handling of devices with minor>255
    - lxd/containers: Fix override of Devices during copy
    - lxd/containers: Fix soft limit logic to use float64
    - lxd/containers: Initialize idmap on demand
    - lxd/containers: Kill forkexec on abnormal websocket closure
    - lxd/containers: Path may only be used by one disk
    - lxd/containers: Properly invalidate the idmap cache
    - lxd/containers: Properly revert memory limits on failure
    - lxd/containers: Properly validate architectures
    - lxd/containers: Set default values for USER, HOME and LANG
    - lxd/containers: This condition has already been deal
    - lxd/containers: Use int64 for uid and gid everywhere
    - lxd/containers: Validate container idmap as early as possible
    - lxd/containers: Validate expanded configuration after root setup
    - lxd/containers: Validate the expanded config at container create
    - lxd/daemon: Check for the validity of the id maps at startup
    - lxd/daemon: Fix some race conditions
    - lxd/daemon: Mount a tmpfs under devlxd
    - lxd/daemon: s/Default map/Available map/
    - lxd/daemon: Set ServerFingerprint
    - lxd/daemon: Use a tmpfs for shmounts

