=== debian/changelog ===
lxd (2.0.11-0ubuntu1~16.04.4) xenial; urgency=medium

  * Fix another regression in "lxd init":
    - When using the "dir" backend a unrelated profile warning was shown

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 07 Dec 2017 16:31:09 -0500

lxd (2.0.11-0ubuntu1~16.04.3) xenial; urgency=medium

  * Fix two regressions in "lxd init" (LP: #1737020):
    - Missing question for ZFS pool name (when creating new one)
    - Missing LXD bridge questions

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 07 Dec 2017 14:02:54 -0500

lxd (2.0.11-0ubuntu1~16.04.2) xenial; urgency=medium

  * Cherry-pick upstream fixes:
    - 0010-zfs-Fix-slowdown-because-of-mountpoint-check.patch
    - 0011-tests-Deal-with-missing-ttyS0-ttyS1-on-s390x.patch

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 23 Nov 2017 15:29:57 -0500

lxd (2.0.11-0ubuntu1~16.04.1) xenial; urgency=medium

  * New upstream bugfix release (2.0.11) (LP: #1731146)
    - It's now possible to interrupt image downloads
    - Added a new security.idmap.base config key
      (overrides the base uid/gid of the container)
    - Added support for delta image downloads
    - Implemented instance types as a proxy for resource limits
    - The user-agent string was expanded to include OS and kernel information
    - The client library and related code is now kept in sync with master
    - The command line client has been ported to the new client library

    - client: Add CancelTarget to RemoteOperation
    - client: Add CreateContainerFromImage function
    - client: Added insecureSkipVerify flag the ConnectionArgs struct
    - client: Add extra exec option to block on I/O
    - client: Add GetServerResources()
    - client: Add GetStoragePoolResources()
    - client: Add image_create_aliases backward compat
    - client: Add RenameStoragePoolVolume()
    - client: Allow canceling image download from LXDs
    - client: Allow specifying base http client
    - client: Cleanup code duplication in image download code
    - client: Commonize error handling
    - client: Don't live migrate stopped containers
    - client: Drop experimental tag from new client
    - client: Fail if source isn't listening on network
    - client: Fix crash in operation handler
    - client: Fix crash when missing cookiejar
    - client: Fix handling of public LXD remote
    - client: Fix image copy
    - client: Fix non-interactive exec hangs
    - client: Fix potential race in event handler setup
    - client: Fix race condition in operation handling
    - client: Implement container and snapshot copy
    - client: Implement push and relay container copy
    - client: Implement remote operations
    - client: Improve error on image copy
    - client: Improve migration relay code
    - client: Keep track of protocol
    - client: Make it possible to retrieve HTTP client
    - client: Make the authentication Interactor configurable
    - client: Move CopyImage to the target server
    - client: Only set file headers if value is provided
    - client: Properly handle remote disconnections
    - client: Reduce request logging to Debug
    - client: Simplify ConnectPublicLXD logic
    - client: Support for macaroons-based authentication
    - client: Sync with master branch
    - client: Use RemoteOperation for CopyImage
    - config: Add support for CookieJar
    - config: Try to be clever about ":" in snapshots
    - doc: Add a note about blkio limits
    - doc: Add section on macvlan vs bridge
    - doc: Add SUPPORT.md
    - doc: Document instance types
    - doc: Document that squashfs images can also be used
    - doc: Document the exec control API
    - doc: Extend/rework security-related documentation.
    - doc: Fix lxd.log location in issue template
    - doc: Fix spaces, commas, quotes, brackets where needed
    - doc: Initial documentation of container env
    - doc: Refresh the issue template
    - doc: Seriously rework the content of the README
    - doc: Sort container config keys
    - doc: Sort server.md config keys
    - doc: Update containers.md
    - extra/lxc-to-lxd: Fix bad test
    - extra/lxc-to-lxd: Ignore capabilities dropped by default
    - extra/lxc-to-lxd: Ignore sysfs/proc mounts
    - extra/lxc-to-lxd: Properly handle lxc.seccomp
    - i18n: Update Japanese translation (for stable-2.0)
    - lxc: Add plumbing for operation cancelation
    - lxc: Cross-platform HOME handling
    - lxc: Fix help to provide sample that actually works
    - lxc: Fix import crash when adding properties
    - lxc: Fix race in progress reporter
    - lxc: Properly record alias source on copy
    - lxc: Re-introduce remote protocol migration
    - lxc: Respect HOME if set
    - lxc/config: Removal of multiple devices at once
    - lxc/copy: Report progress data
    - lxc/delete: Fix lxc delete --force description
    - lxc/exec: Fix signal handler for Windows
    - lxc/exec: Fix Windows port
    - lxc/file: Fix file push/pull with names containing spaces.
    - lxc/file: Read file perms from Windows FS
    - lxc/file: Use shared.HostPath for push/pull
    - lxc/image: Always use long fingerprint in exported filenames
    - lxc/image: Expose the "cached" flag
    - lxc/image: Fix aliases with simplestreams remotes
    - lxc/image: Fix "lxc image copy" not recording the source
    - lxc/image: Fix regression in exported filename
    - lxc/image: Improve filter handling
    - lxc/image: Make "lxc image copy" fast again
    - lxc/image: Update image aliases when they already exist
    - lxc/image: Use shared.HostPath for import/export
    - lxc/init: Fix failure to launch containers with random names
    - lxc/list: Error if --columns and --fast are used together
    - lxc/move: Use force on delete
    - lxc/publish: Fix fingerprint printing
    - lxc/remote: Don't require a cert for public remotes
    - lxc/utils: Avoid potential progress race condition
    - lxc/utils: Println doesn't do format strings
    - lxd-benchmark: Add CreateContainers function

