=== debian/control ===
--- 
+++ 
@@ -10,8 +10,26 @@
                dh-apparmor,
                dh-golang,
                dh-systemd,
-               golang-1.6-go,
+               golang-go,
+               golang-go.crypto-dev,
+               golang-context-dev,
+               golang-github-gorilla-mux-dev,
+               golang-github-gosexy-gettext-dev,
+               golang-github-mattn-go-colorable-dev,
+               golang-github-mattn-go-sqlite3-dev,
+               golang-github-olekukonko-tablewriter-dev,
+               golang-github-pborman-uuid-dev,
+               golang-gocapability-dev,
+               golang-gopkg-flosch-pongo2.v3-dev,
+               golang-gopkg-inconshreveable-log15.v2-dev,
+               golang-gopkg-lxc-go-lxc.v2-dev,
+               golang-gopkg-tomb.v2-dev,
+               golang-goprotobuf-dev,
+               golang-petname-dev,
+               golang-yaml.v2-dev,
+               golang-websocket-dev,
                help2man,
+               libacl1-dev,
                libsqlite3-dev,
                lxc-dev (>= 1.1.0~),
                pkg-config,
@@ -19,7 +37,7 @@
 XS-Testsuite: autopkgtest
 
 Package: lxd-client
-Architecture: amd64 arm64 armhf i386 ppc64el
+Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Built-Using: ${misc:Built-Using}
 Suggests: lxd
@@ -32,7 +50,7 @@
  This package contains the command line client.
 
 Package: lxd
-Architecture: amd64 arm64 armhf i386 ppc64el
+Architecture: any
 Pre-Depends: debconf
 Depends: acl,
          adduser,
@@ -69,7 +87,7 @@
  This is a dummy metapackage to install LXD and its client.
 
 Package: lxd-tools
-Architecture: amd64 arm64 armhf i386 ppc64el
+Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Built-Using: ${misc:Built-Using}
 Description: Container hypervisor based on LXC - extra tools
