=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,7 @@
 # temporary build path (see http://golang.org/doc/code.html#GOPATH)
 export DH_GOPKG := github.com/lxc/lxd
 export GOPATH := $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)
-export USE_EMBEDDED := true
-
-# use golang-1.6
-export PATH := /usr/lib/go-1.6/bin:$(PATH)
+export USE_EMBEDDED := false
 
 %:
 	dh $@ --with systemd --buildsystem=golang --with=golang
@@ -80,9 +77,9 @@
 override_dh_install:
 	# Install the manpages
 	mkdir -p $(PKGDIR)/usr/share/man/man1/
-	help2man $(PKGDIR)/usr/bin/fuidshift -n "uid/gid shifter" --no-info > $(PKGDIR)/usr/share/man/man1/fuidshift.1
-	help2man $(PKGDIR)/usr/bin/lxc -n "The container hypervisor - client" --no-info > $(PKGDIR)/usr/share/man/man1/lxc.1
-	help2man $(PKGDIR)/usr/bin/lxd -n "The container hypervisor - daemon" --no-info > $(PKGDIR)/usr/share/man/man1/lxd.1
+	help2man $(PKGDIR)/usr/bin/fuidshift -n "uid/gid shifter" --no-info --no-discard-stderr > $(PKGDIR)/usr/share/man/man1/fuidshift.1
+	help2man $(PKGDIR)/usr/bin/lxc -n "The container hypervisor - client" --no-info --no-discard-stderr > $(PKGDIR)/usr/share/man/man1/lxc.1
+	help2man $(PKGDIR)/usr/bin/lxd -n "The container hypervisor - daemon" --no-info --no-discard-stderr > $(PKGDIR)/usr/share/man/man1/lxd.1
 
 	mkdir -p $(PKGDIR)/usr/share/bash-completion/completions/
 	cp config/bash/lxd-client $(PKGDIR)/usr/share/bash-completion/completions/lxc
