## lxd 2.4.1

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                dh-golang,
                dh-systemd,
                golang-go,
+               golang-any-shared-dev,
                golang-go.crypto-dev,
                golang-context-dev,
                golang-github-gorilla-mux-dev,
@@ -29,12 +30,9 @@
                golang-yaml.v2-dev,
                golang-websocket-dev,
                help2man,
-               libacl1-dev,
-               libsqlite3-dev,
                lxc-dev (>= 1.1.0~),
                pkg-config,
                protobuf-compiler
-XS-Testsuite: autopkgtest
 
 Package: lxd-client
 Architecture: any
@@ -51,16 +49,14 @@
 
 Package: lxd
 Architecture: any
-Pre-Depends: debconf
 Depends: acl,
          adduser,
          dnsmasq-base,
+         ebtables,
          iptables,
          liblxc1 (>= 2.0.0~),
-         lsb-base (>= 3.0-6),
          lxd-client (= ${binary:Version}),
          lxcfs,
-         netcat-openbsd,
          rsync,
          squashfs-tools,
          uidmap,
