=== debian/rules ===
--- 
+++ 
@@ -12,13 +12,14 @@
 export DH_GOPKG := github.com/lxc/lxd
 export GOPATH := $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)
 export USE_EMBEDDED := false
+export USE_SHLIBS := true
+
+ifeq ($(USE_SHLIBS), true)
+export DH_GOLANG_LINK_SHARED := 1
+endif
 
 %:
 	dh $@ --with systemd --buildsystem=golang --with=golang
-
-# Make sure we use the distro libsqlite3
-override_dh_auto_build:
-	dh_auto_build -- -tags libsqlite3
 
 # Ugly workaround for bundled dependencies
 override_dh_auto_configure:
@@ -38,7 +39,11 @@
 	mv ${GOPATH}/src/github.com/lxc/lxd ${GOPATH}/lxd.tmp
 
 	# Clean GOPATH.
+ifeq ($(USE_SHLIBS), true)
+	rm -Rf ${GOPATH}/src/srclibs
+else
 	rm -Rf ${GOPATH}/src
+endif
 
 ifeq ($(USE_EMBEDDED), true)
 	# If we get all dependencies from dist, just copy it onto GOPATH.
@@ -77,9 +82,9 @@
 override_dh_install:
 	# Install the manpages
 	mkdir -p $(PKGDIR)/usr/share/man/man1/
-	help2man $(PKGDIR)/usr/bin/fuidshift -n "uid/gid shifter" --no-info --no-discard-stderr > $(PKGDIR)/usr/share/man/man1/fuidshift.1
-	help2man $(PKGDIR)/usr/bin/lxc -n "The container hypervisor - client" --no-info --no-discard-stderr > $(PKGDIR)/usr/share/man/man1/lxc.1
-	help2man $(PKGDIR)/usr/bin/lxd -n "The container hypervisor - daemon" --no-info --no-discard-stderr > $(PKGDIR)/usr/share/man/man1/lxd.1
+	help2man $(PKGDIR)/usr/bin/fuidshift -n "uid/gid shifter" --no-info > $(PKGDIR)/usr/share/man/man1/fuidshift.1
+	help2man $(PKGDIR)/usr/bin/lxc -n "The container hypervisor - client" --no-info > $(PKGDIR)/usr/share/man/man1/lxc.1
+	help2man $(PKGDIR)/usr/bin/lxd -n "The container hypervisor - daemon" --no-info > $(PKGDIR)/usr/share/man/man1/lxd.1
 
 	mkdir -p $(PKGDIR)/usr/share/bash-completion/completions/
 	cp config/bash/lxd-client $(PKGDIR)/usr/share/bash-completion/completions/lxc
@@ -90,26 +95,17 @@
 	cp -RL ${GOPATH}/src/github.com/lxc/lxd $(PKGDIR)/usr/share/gocode/src/github.com/lxc/
 	rm -Rf $(PKGDIR)/usr/share/gocode/src/github.com/lxc/lxd/dist
 
-	# Apparmor
-	dh_apparmor -p lxd --profile-name=usr.lib.lxd.lxd-bridge-proxy
-
-	# Setup logrotate
-	mkdir -p $(PKGDIR)/etc/logrotate.d
-	cp debian/lxd.logrotate $(PKGDIR)/etc/logrotate.d/lxd
-
-	# Setup sysctl
-	mkdir -p $(PKGDIR)/etc/sysctl.d
-	cp debian/lxd.sysctl $(PKGDIR)/etc/sysctl.d/10-lxd-inotify.conf
+	# copy dnsmasq configuration
+	mkdir -p $(PKGDIR)/etc/dnsmasq.d-available
+	cp debian/lxd.dnsmasq $(PKGDIR)/etc/dnsmasq.d-available/lxd
 
 	# Trigger normal dh_install
 	dh_install
 
 override_dh_installinit:
 	# We handle starting and restarting things ourselves
-	dh_systemd_enable -plxd --name=lxd-bridge lxd-bridge.service
 	dh_systemd_enable -plxd --name=lxd-containers lxd-containers.service
 	dh_installinit -plxd --no-start
-	dh_installinit -plxd --name=lxd-bridge --no-start --noscripts
 	dh_installinit -plxd --name=lxd-containers --no-start --noscripts
 	dh_systemd_start -plxd lxd-containers.service --no-restart-on-upgrade
